<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$furnitures_edit = new furnitures_edit();

// Run the page
$furnitures_edit->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$furnitures_edit->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var ffurnituresedit, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "edit";
	ffurnituresedit = currentForm = new ew.Form("ffurnituresedit", "edit");

	// Validate form
	ffurnituresedit.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($furnitures_edit->id->Required) { ?>
				elm = this.getElements("x" + infix + "_id");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $furnitures_edit->id->caption(), $furnitures_edit->id->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($furnitures_edit->Furniture->Required) { ?>
				elm = this.getElements("x" + infix + "_Furniture");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $furnitures_edit->Furniture->caption(), $furnitures_edit->Furniture->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	ffurnituresedit.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	ffurnituresedit.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("ffurnituresedit");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $furnitures_edit->showPageHeader(); ?>
<?php
$furnitures_edit->showMessage();
?>
<form name="ffurnituresedit" id="ffurnituresedit" class="<?php echo $furnitures_edit->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="furnitures">
<input type="hidden" name="action" id="action" value="update">
<input type="hidden" name="modal" value="<?php echo (int)$furnitures_edit->IsModal ?>">
<div class="ew-edit-div"><!-- page* -->
<?php if ($furnitures_edit->id->Visible) { // id ?>
	<div id="r_id" class="form-group row">
		<label id="elh_furnitures_id" class="<?php echo $furnitures_edit->LeftColumnClass ?>"><?php echo $furnitures_edit->id->caption() ?><?php echo $furnitures_edit->id->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $furnitures_edit->RightColumnClass ?>"><div <?php echo $furnitures_edit->id->cellAttributes() ?>>
<span id="el_furnitures_id">
<span<?php echo $furnitures_edit->id->viewAttributes() ?>><input type="text" readonly class="form-control-plaintext" value="<?php echo HtmlEncode(RemoveHtml($furnitures_edit->id->EditValue)) ?>"></span>
</span>
<input type="hidden" data-table="furnitures" data-field="x_id" name="x_id" id="x_id" value="<?php echo HtmlEncode($furnitures_edit->id->CurrentValue) ?>">
<?php echo $furnitures_edit->id->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($furnitures_edit->Furniture->Visible) { // Furniture ?>
	<div id="r_Furniture" class="form-group row">
		<label id="elh_furnitures_Furniture" for="x_Furniture" class="<?php echo $furnitures_edit->LeftColumnClass ?>"><?php echo $furnitures_edit->Furniture->caption() ?><?php echo $furnitures_edit->Furniture->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $furnitures_edit->RightColumnClass ?>"><div <?php echo $furnitures_edit->Furniture->cellAttributes() ?>>
<span id="el_furnitures_Furniture">
<input type="text" data-table="furnitures" data-field="x_Furniture" name="x_Furniture" id="x_Furniture" size="30" maxlength="55" placeholder="<?php echo HtmlEncode($furnitures_edit->Furniture->getPlaceHolder()) ?>" value="<?php echo $furnitures_edit->Furniture->EditValue ?>"<?php echo $furnitures_edit->Furniture->editAttributes() ?>>
</span>
<?php echo $furnitures_edit->Furniture->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$furnitures_edit->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $furnitures_edit->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("SaveBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $furnitures_edit->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$furnitures_edit->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$furnitures_edit->terminate();
?>